echofon抛弃小众平台

Posted Leave a commentPosted in Misc

echofon官方已经宣布暂时不支持一些小众平台,包括64位平台,FreeBSD,OpenSolaris等,很不幸,我使用的正是ubuntu 10.04 amd64版本,所以升级到echofon 1.9.6.6后,启动firefox会提示”Echofon does not support this platform or custom build Firefox. (Can’t get OAuth signer.) / Cc[‘@naan.net/twitterfox-sign;1’] is undefined (Fx version 3.6.9 / ABI x86_64-gcc3)”,杯具。1.9.6.4版本可以继续使用,echofon还是很不错的,为什么要抛弃用户呢?官方说正在做工作支持这些小众平台,谁知道猴年马月呢!

ff带套(tor)翻墙上youtube无法播放视频问题的解决办法

Posted 8 CommentsPosted in GNU/Linux

firefox 3.6带套上youtube(一定要代理*.youtube.com,只代理www.youtube.com是不可以的),首页页面显示混乱,打不开视频,随便点击一个视频连接,出现提示“Hello, you either have JavaScript turned off or an old version of Adobe’s Flash Player. Get the latest Flash player.” flash版本不够新云云。如果更新了adobe flash player并且打开了JavaScript还是无法观看,请将这个网址ytimg.com一并加入tor代理网络,应该就可以正常观看了。不是火狐的问题,也不是洋葱的问题,都是该死的Great Fucking Wall的问题。郁闷了很久…

ubuntu 9.10(kamic koala) amd64编译安装firefox 3.6(namoroka)

Posted Leave a commentPosted in GNU/Linux

  代号为”namoroka”的firefox 3.6正式发布了,性能提升不少。ubuntu估计要到下一个版本10.04(Lucid Lynx)才会更新到firefox 3.6,但愿不要这么晚。mozilla官方不提供amd64版本的安装包,那么下载源代码本地编译吧,这样性能还能更优。编译安装步骤如下,参考了官方build文档。      0. 准备编译环境和依赖   sudo apt-get build-dep firefox   sudo apt-get install libasound2-dev libcurl4-openssl-dev libnotify-dev libxt-dev libiw-dev mesa-common-dev autoconf2.13

xmarks也被”和谐”掉

Posted Leave a commentPosted in Misc

  大约从前天开始xmarks开始不正常,无法同步,总以为只是xmarks服务器在维护什么的,很快就能用了,毕竟用了这么久,都习惯了。好几天过去了,还是不能用,google一下,原来大家都无法同步,原来是被“墙”了,真不敢相信,这么个有用的工具,招谁惹谁了。现在连骂都不想骂了,真应了那句话,“天朝有风险,投胎需谨慎”。   xmarks之后,下一个遭毒手的会是谁呢?